Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#1 Le 27/03/2006, à 16:44

zeugme

[resolu] dist-upgrade (encore)

Suite a ce post http://forum.ubuntu-fr.org/viewtopic.php?id=31370
je suis en train de me demander l'interet de faire un dist-upgrade en restant breezy.
(sans changer son source.lst)

Cela a t-il un sens ?
D'apres ce que j'ai compris, ca serait la seule maniere d'upgrader les applis vers leur derniere version, pas juste les patch de securite

Est-ce risque ? (je supose que oui ?).

Deja fait ? Un retour ?

Merci !

Dernière modification par jbb (Le 28/03/2006, à 16:24)

Hors ligne

#2 Le 27/03/2006, à 17:49

Sorlingues

Re : [resolu] dist-upgrade (encore)

En général, quand on travaille avec une distribution stable (par opposition à une testing) et que l'on n'a pas mis de dépôts exotiques, le dist-upgrade n'est pas nécessaire mais ne peut pas causer de problème (il faudrait pour cela que les mainteneurs de paquets aient vraiment déconné).

En pratique :
     sudo apt-get update
     sudo apt-get upgrade
et tu reçois un message du style

Les paquets suivants seront mis à jour :
  kamera ... unzip
29 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Le "0 non mis à jour" montre qu'il est inutile de réaliser un dist-upgrade car il n'y a plus rien à mettre à jour après l'upgrade.

Exceptionnellement, il pourrait arriver que des paquets ne soient pas mis à jour car pour le faire cela nécessite l'installation ou la suppression d'un ou plusieurs autres paquets (et upgrade ne le fait pas automatiquement, c'est dist-upgrade qui peut faire cela).
Ce genre de situation ne doit se produire que lorsqu'un paquet subit une mise à jour importante (ex: un changement de version qui s'accompagne d'un changement dépendances), pas d'une mise à jour de sécurité (sauf exception si cette dernière nécessite de remplacer un paquet par une nouvelle version).

En principe, dans une distribution stable, les paquets ne sont pas remplacés par leur nouvelle version (pas de KDE 3.5 dans les dépôts officiels de Breezy si je ne m'abuse) :  seuls des corrections de bugs majeurs ou de sécurité sont effectuées.

Depuis que j'ai installé Breezy, un seul dist-upgrade a été utile (la première mise à jour après l'installe par cdrom).  Par contre sur une Debian Testing, le dist-upgrade est plus fréquent.

En résumé, dans une distrib stable, le dist-upgrade est rarement utile mais est sans danger parce que les mainteneurs de paquet font un travail sérieux.

Maintenant si dans tes dépôts tu as mis celui d'un olibrius inconnu et que ce dernier invente une nouvelle version du paquet apt et la rend incompatible avec les paquets de gnome, on peut imaginer qu'un dist-upgrade génère un sacré bordel.

Mon conseil : ne faire que des upgrade par défaut et si après l'upgrade il reste des paquets non mis à jour alors examiner pourquoi et envisager le dist-upgrade.

Hors ligne

#3 Le 27/03/2006, à 18:01

laurent

Re : [resolu] dist-upgrade (encore)

En fait, disons qu'un dist-upgrade n'est utile que lors d'une opération "critique". Pq?

(je sors ma bible)

"dist-upgrade: Il s'agit d'une extension de upgrade qui s'assure que les paquets les plus importants sont installés en premiers lieu. Dans certaines limites, les dépendances sont modifiées afin de permettre l'installation d'un paquet. Cette manière de faire est obligatoire lorsque la totalité d'un système est mise à niveau vers une nouvelle version[...]"

=> si vous voulez mon avis, on peut s'en passer. Une fois de temps en temps, why not, mais c'est vrai que vu la stabilité de la chose... En fait, ça permet surtout par une plus grande remise en question des dépendances d'avoir certains paquets supplémentaires, mais très peu.

Pour le fait que ce soit la seule manière d'avoir les applis dans leur dernières version (présente dans les dépots, on se comprends), je désapprouve, mais bon... y'a pe bien une exception qqe part...

[edit] DebianGNU/Linux par Franck Ronneburg


Laurent, petit belge explorant la banquise

Hors ligne

#4 Le 28/03/2006, à 00:31

xxc

Re : [resolu] dist-upgrade (encore)

Merci à vous pour ces explications !

Hors ligne

#5 Le 28/03/2006, à 14:06

zeugme

Re : [resolu] dist-upgrade (encore)

Le probleme est que cela contredit ce qui est explique dans ce post

http://forum.ubuntu-fr.org/viewtopic.php?id=31370

Voici a nouveau le scenairo :

j'ai installe une appli A1.0.0.

Apres un update/upgrade, je pourais passer a A1.0.1
ce qui corrigerais un bug ou un trou de securite.

Ensuite, des versions A2.0.0 et A.1.0.2 sortent.
Un trou de securite est corrige dans la 1.0.2 et cette correction est embarque dans une nouvelle version 2 qui ajoute (en plus du correctif de securite) de nouvelles fonctions et que tout le monde voudrait bien avoir.

Donc, j'ai laquelle apres un simple update/upgrade ?

Dernière modification par jbb (Le 28/03/2006, à 14:07)

Hors ligne

#6 Le 28/03/2006, à 14:29

cep_

Re : [resolu] dist-upgrade (encore)

dist-upgrade " Elle est aussi utilisée quand des changements dans les dépendances des paquets installés sont faits. Avec apt-get upgrade, ces paquets seraient laissés de côté "

file://localhost/usr/share/doc/Debian/apt-howto/ch-apt-get.fr.html#s-dist-upgrade  après avoir installé apt-howto ou apt-howto-fr

#7 Le 28/03/2006, à 14:56

zeugme

Re : [resolu] dist-upgrade (encore)

cep_ a écrit :

dist-upgrade " Elle est aussi utilisée quand des changements dans les dépendances des paquets installés sont faits. Avec apt-get upgrade, ces paquets seraient laissés de côté "

file://localhost/usr/share/doc/Debian/apt-howto/ch-apt-get.fr.html#s-dist-upgrade  après avoir installé apt-howto ou apt-howto-fr

Donc, je devrais avoir la A2.0.0 apres un simple upgrade ... ???

Hors ligne

#8 Le 28/03/2006, à 15:26

Strash

Re : [resolu] dist-upgrade (encore)

Moi il me semble qu'un dist-upgrade n'est nécessaire uniquement si il y a autre chose que "0 non mis à jour" lorsqu'on fait un upgrade.
2 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Et moi depuis l'installation de ma Breezy je n'ai jamais eu besoin de le faire... et j'ai toujours "0 non mis à jour".

D'ailleur je viens de tester un dist-upgrade et rien n'a été modifié.

Après ça n'est qu'une expérience d'un utilisateur non confirmé...

Hors ligne

#9 Le 28/03/2006, à 15:36

dawar

Re : [resolu] dist-upgrade (encore)

jbb a écrit :

Voici a nouveau le scenairo :

j'ai installe une appli A1.0.0.

Apres un update/upgrade, je pourais passer a A1.0.1
ce qui corrigerais un bug ou un trou de securite.

Ensuite, des versions A2.0.0 et A.1.0.2 sortent.
Un trou de securite est corrige dans la 1.0.2 et cette correction est embarque dans une nouvelle version 2 qui ajoute (en plus du correctif de securite) de nouvelles fonctions et que tout le monde voudrait bien avoir.

Donc, j'ai laquelle apres un simple update/upgrade ?

1.0.0 avec backport de code qui comble la faille de sécurité. Il n'y a pas sur les dépots officiels de nouvelles versions une fois la distrib stable, que des correctifs de sécurité qui ne font que boucher les trous.

Dernière modification par dawar (Le 28/03/2006, à 15:38)


S'il n'y a pas de solution, c'est qu'il n'y a pas de problème (Devise Shadoks)

Hors ligne

#10 Le 28/03/2006, à 15:44

cep_

Re : [resolu] dist-upgrade (encore)

DAns le cas d'une version dite "stable", le dist-upgrade n'as pour ainsi dire pas lieu d'être demandé, en principe.

Par contre sur la dapper en "instable", il est préférable de le faire régulièrement. J'ai d'ailleurs montré le résultat sur un autre topic en demandant d'abord un apt-get -u upgrade puis un apt-get -u dist-upgrade.

#11 Le 28/03/2006, à 16:24

zeugme

Re : [resolu] dist-upgrade (encore)

dawar a écrit :
jbb a écrit :

Voici a nouveau le scenairo :

j'ai installe une appli A1.0.0.

Apres un update/upgrade, je pourais passer a A1.0.1
ce qui corrigerais un bug ou un trou de securite.

Ensuite, des versions A2.0.0 et A.1.0.2 sortent.
Un trou de securite est corrige dans la 1.0.2 et cette correction est embarque dans une nouvelle version 2 qui ajoute (en plus du correctif de securite) de nouvelles fonctions et que tout le monde voudrait bien avoir.

Donc, j'ai laquelle apres un simple update/upgrade ?

1.0.0 avec backport de code qui comble la faille de sécurité. Il n'y a pas sur les dépots officiels de nouvelles versions une fois la distrib stable, que des correctifs de sécurité qui ne font que boucher les trous.

Voila la cle du truc !
Il n'y a pas de A2.0.0 qui arriverait dans les depots. C'est un faux probleme en fait.
Du coup, tout s'explique.

Finalement, upgrader d'un coup toutes les versions et passer en  version 2.0.0 pour l'appli A, c'est synonyme d'un upgrade de distrib.

Merci Dawar !

Hors ligne

#12 Le 29/03/2006, à 20:12

Sorlingues

Re : [resolu] dist-upgrade (encore)

jbb a écrit :

Voila la cle du truc !
Il n'y a pas de A2.0.0 qui arriverait dans les depots. C'est un faux probleme en fait.
Du coup, tout s'explique.

Ben oui, c'étais déjà dit dans le deuxième message de ce fil sad

jbb a écrit :

Finalement, upgrader d'un coup toutes les versions et passer en  version 2.0.0 pour l'appli A, c'est synonyme d'un upgrade de distrib.

Non je ne crois pas (où alors j'interprète mal ce que tu écris).

Comme cela a été rappelé par dawar, la situation que tu as décrite ne se produit pas en utilisant seulement les dépôts d'une distribution stable. Néanmoins, cela pourrait survenir si tu ajoutais d'autres dépôts à ta sources.list. Si dans les dépôts officiels une mise à jour de 1.0.0 en 1.0.1 est proposée et qu'un dépôt exotique te propose une version supérieure 2.0.0, celle qui sera installée dépend de ta configuration de apt. Cela est-expliqué dans man apt_preferences.

Le fait d'utiliser upgrade ou dist-upgrade ne devrait rien changer à l'affaire !
Tout au plus ce qui a été dit avant reste vrai : si le changement (que ce soit pour passer à 1.0.1 ou à 2.0.0) nécessite des changements sur d'autres paquets, upgrade ne le fera pas et dist-upgrade oui.  Ce comportement vis à vis des dépendances est la seule différence importante entre upgrade et dist-upgrade et les versions des paquets n'ont rien à voir là dedans.

(Bien entendu, il est plus probable qu'un changement de dépendances se produise en passant à 2.0.0 qu'à 1.0.1).

Hors ligne

#13 Le 06/04/2006, à 18:19

PI'cchio

Re : [resolu] dist-upgrade (encore)

Juste une petite question en passant :

Sur Breezy, quand on va dans Synaptic et qu'on clique sur "Mettre à jour", c'est une dist-upgrade qui est réalisée si on n'a pas modifé les préférences de Synaptic, non ???

Et d'après mes observations personnelles, je pense que le update-notifier se base aussi sur une dist-upgrade pour faire ses mises à jour...

Dites moi si je me trompe !

Haut de page ↑